Name:		nemiver
Version:	0.8.0
Release:	1%{?dist}
Summary:	A GNOME C/C++ Debugger

Group:		Development/Debuggers
License:	GPLv2+
URL:		http://projects.gnome.org/nemiver

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## The glibmm bits would normally be part of the dependency tree for
## gtksourceviewmm; but we're using GIO here (F9+) so we need to ensure that the
## the Glib/glibmm we're depending on also includes it (e.g., 2.16+)
##
## We specify the minimum version of gtkmm24 because we are now using
## the tooltip and treeview APIs of gtkmm 2.12.7.
BuildRequires:	boost-devel
BuildRequires:	boost-static
BuildRequires:	desktop-file-utils
BuildRequires:	gdb
BuildRequires:	gettext
BuildRequires:	ghex-devel >= 2.24
BuildRequires:	glibmm24-devel >= 2.16
BuildRequires:	gtkmm24-devel >= 2.12.7
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gtksourceviewmm-devel >= 2.0.0
BuildRequires:	libgtop2-devel >= 2.14
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3.0
BuildRequires:	vte-devel >= 0.12.0
BuildRequires:	intltool
BuildRequires:	libxml2-devel >= 2.6.22
BuildRequires:  GConf2-devel

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	scrollkeeper

Requires(preun):	GConf2

Requires(postun):	scrollkeeper

## Needs hicolor-icon-theme so that the parent %%_datadir/icons/hicolor
## and its subtree directories are properly owned.
Requires:	hicolor-icon-theme
Requires:	gdb
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-headers = %{version}-%{release}

Obsoletes:	%{name}-devel < 0.5.4-1
Obsoletes:	%{name}-headers < 0.6.5-2

## Mostly taken from its site index... :]
%description
Nemiver is an ongoing effort to write a standalone graphical debugger that
integrates well in the GNOME desktop environment. It currently features a
backend which uses the well known GNU Debugger (gdb) to debug C/C++ programs.

The yelp package must be installed to make use of Nemiver's documentation.

%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install		\
	--disable-scrollkeeper
# Use system libtool to prevent build scripts from using RPATH hacks.
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora			\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application			\
	--delete-original				\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README TODO 
%exclude %{_includedir}/%{name}
%exclude %{_libdir}/%{name}/*.a
%exclude %{_libdir}/%{name}/*.la
%exclude %{_libdir}/%{name}/modules/*.a
%exclude %{_libdir}/%{name}/modules/*.la
%exclude %{_libdir}/%{name}/plugins/*/*.la
%exclude %{_libdir}/%{name}/plugins/*/*.a
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_mandir}/man?/%{name}.*

%changelog
* Tue Oct 19 2010  <dodji@seketeli.org> - 0.8.0-1
- Update upstream release 0.8.0
- Drop patches 0001-Fix-build-with-gcc-4.5.patch and
  0001-More-GCC-4.5-fixes-611588.patch as they are now released upstream
- Remove libglademm and libgnome dependencies are they got removed upstream
- Add GConf2 dependency

* Wed Sep 29 2010 jkeating - 0.7.3-3
- Rebuilt for gcc bug 634757

* Thu Sep 23 2010  <dodji@seketeli.org> - 0.7.3-2
- Fix source0 URL.
- 0001-Fix-build-with-gcc-4.5.patch and 0001-More-GCC-4.5-fixes-611588.patch:
  fix build breakage with GCC 4.5

* Sun Dec 06 2009 Dodji Seketeli <dodji@redhat.com> - 0.7.3-1
- Update to new upstream release (0.7.3)

* Sat Sep 12 2009 Dodji Seketeli <dodji@redhat.com> - 0.7.2-1
- Update to new upstream release (0.7.2)

* Sat Aug 01 2009 Dodji Seketeli <dodji@redhat.com> - 0.7.1-1
- Update to new upstream release (0.7.1)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 02 2009 Dodji Seketeli <dodji@redhat.com> - 0.7.0-2
- Fix typo (redhat.org -> redhat.com)

* Thu Jul 02 2009 Dodji Seketeli <dodji@redhat.com> - 0.7.0-1
- Update to new upstream release (0.7.0)

* Sat May 02 2009 Dodji Seketeli <dodji@redhat.com> - 0.6.7-1
- Update to new upstream release (0.6.7)

* Fri Apr 03 2009 Dodji Seketeli <dodji@redhat.com> - 0.6.6-1
- Update to new upstream release (0.6.6)
- Drop patch http://bugzilla.gnome.org/show_bug.cgi?id=574915
  as included in upstream release.

* Fri Mar 13 2009 Dodji Seketeli <dodji@redhat.com> - 0.6.5-2
- Add upstream patch http://bugzilla.gnome.org/show_bug.cgi?id=574915
  Fixes a "spinner not found" bug.
- Add boost-static in BuildRequires (required for nemiver tests)
- Remove more *.a files
- Do not ship nemiver-headers package
  Upstream can't garantee API/ABI stability yet and
  nobody uses this package yet anyway

* Sun Mar 01 2009 Dodji Seketeli <dodji@redhat.com> - 0.6.5-1
- Update to new upstream release (0.6.5)
- Drop include-stdint.patch as pushed upstream
- BuildRequire intltool

* Tue Feb 24 2009 Dodji Seketeli <dodji@redhat.com> - 0.6.4-2
- Rebuild against ghex 2.2.4. This should fix #571099
- Patch Nemiver to make it compile with gcc 4.3.3

* Sat Jan 17 2009 Denis Leroy <denis@poolshark.com> - 0.6.4-1
- Update to upstream 0.6.4
- Now build against gtksourceviewmm 2.2.0

* Sun Sep 28 2008 Peter Gordon <peter@thecodergeek.com> - 0.6.3-1
- Update to new upstream release (0.6.3).
- Set the minimum required version of gtkmm-24 to 2.12.7; and update the
  Summary field to reflect the current state of upstream, as recommended by
  Dodji Seketeli.
- Resolves: #464413 (Nemiver 0.6.3 has been released upstream)

* Sat Sep 13 2008 Peter Gordon <peter@thecodergeek.com> - 0.6.2-1
- Update to new upstream release (0.6.2).

* Wed Aug  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.1-3
- bump to rebuild against old libgtksourceviewmm

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.1-2
- rebuild for new libgtksourceviewmm

* Thu Jul 31 2008 Peter Gordon <peter@thecodergeek.com> - 0.6.1-1
- Update to new upstream release (0.6.1).

* Sat Jul 19 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.5-0.1.svn889
- Update to new upstream snapshot (SVN 889): increased performance when
  stepping in big applications like WebKit, ability to call arbitrary functions
  in the inferior process being debugged and support for conditional
  breakpoints, and loads of bug-fixes. Sweet!
- Fix typo in previous %%changelog entry.

* Fri Jun 27 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.4-1
- Update to new upstream release (0.5.4)
- Rename -devel subpackage to -headers and adjust the %%description
  accordingly. (It no longer contains any shared library symlinks or pkgconfig
  data; and thus would not be multilib-friendly. We can't put it in the main
  package due to its additional *-devel dependencies. Finally, upstream has
  said that nothing should really be using the libnemivercommon API yet
  anyway.)
- Drop the libnemiver global library patch (fixed upstream)
  - make-libnemivercommon-global-lib.patch

* Mon May 26 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.3-1
- Update to new upstream release (0.5.3)
- Add upstream bug reference for make-libnemivercommon-global-lib patch. 

* Fri Apr 11 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.2-1
- Update to new upstream release (0.5.2)
- Add patch to keep the nemivercommon shared library in the global  %%_libdir,
  rather that in a private directory therein. This allows other sources to
  properly build against it without using nasty RPATH hacks, and also makes RPM
  correctly add same-arch dependencies from the devel subpackage to the main
  package via that unversioned binary symlink:
  + make-libnemivercommon-global-lib.patch    
- Alphabetize dependency list (aesthetic-only change)

* Sat Mar 22 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.1-1
- Update to new upstream release (0.5.1)
- Drop upstreamed GCC 4.3 and build-fix patches:
  - gcc43.patch
  - multiple-a_key-params.patch

* Sun Mar 09 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.0-1
- Update to new upstream release (0.5.0)
- Rebuild for GCC 4.3
- Drop upstreamed patches:
  - setbreakpoint-glade-filename.patch
  - pid_t-fix-build.patch
- Add patch to fix build errors with GCC 4.3 reduced headers:
  + gcc43.patch
- Add patch to fix multiple a_key function parameters:
  + multiple-a_key-params.patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-5
- Autorebuild for GCC 4.3

* Wed Jan 30 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-4
- Add patch to fix missing setbreakpoint.glade file error (should be
  setbreakpointdialog.glade). Fixes bug 430971 (missing glade file).
  + setbreakpoint-glade-filename.patch

* Thu Jan 10 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-3
- Make GConf scriplets quieter (bug 426801: "unclean" rpm transaction).
- Add upstream patch to fix compile errors with casting from unsigned int*
  to pid_t* due to libgtop API change:
  + pid_t-fix-build.patch

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-2
- Rebuild with BuildID-enabled binutils.
- Update License tag (GPLv2+)

* Sun Jun 03 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-1
- Update to new upstream release (0.4.0)

* Sat Feb 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-6
- Remove chcon invocation entirely; as it is not needed.
- Don't install libtool archives (.la files) of the plugins.

* Tue Feb 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-5
- chcon call should be in %%post, not %%install

* Mon Feb 12 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-4
- Mark the libdbgperspectiveplugin.so plugin with a textrel_shlib_t context to
  workaround SELinux execmod denials.
- Hardcoded RPATHs are bad (especially when they are simply repeats of the
  standard LIBDIR stuff); so get rid of them in the supplied libtool with a
  couple of sed incantantions from the packaging guidelines.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-3
- Another fix from Michael Schwendt: Don't mark installed GConf schemas as
  %%config. 

* Tue Jan 23 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-2
- Fix issues noted in review comments (Thanks to Michael Schwendt, #223943):
  (1) Add %%defattr line to the -devel subpackage %%files list.
  (2) Fix consistency of schemas listing by not using a glob in the
      %%files list, since they are separate in the scriplets' gconftool-2
      calls.
  (3) Add gettext and perl(XML::Parser) BuildRequires to fix mock building.
  (4) Add and explicitly version the Requires for the -devel subpackage due
      to various dependencies in the installed .pc file: libxml2-devel,
      glibmm24-devel, gnome-vfs2-devel. (glib2-devel is also needed, but that
      is pulled in as as dependency of glibmm24-devel.) 

* Mon Jan 22 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-1
- Initial packaging for Fedora Extras.
